client_max_body_size 100m;
server {
    listen       8080;
    server_name localhost;
    proxy_read_timeout 3600;
    proxy_send_timeout 3600;
    #charset koi8-r;
    #access_log  logs/host.access.log  main;

    location / {
        root /usr/share/nginx/html;
        add_header Cache-Control 'no-store, no-cache, must-revalidate, proxy-revalidate, max-age=0';
        try_files $uri $uri/ /index.html;
    }

    location /api {
        proxy_set_header Host $http_host;
        proxy_set_header  X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
        rewrite ^/api/(.*)$ /$1 break;  #重写
        proxy_pass http://129.204.101.51:9999; # 设置代理服务器的协议和地址
     }

    location /api/swagger/index.html {
        proxy_pass http://129.204.101.51:9999/swagger/index.html;
     }
 }